#if 0
void boundary_following_fine(float *l, float *r,
                float d,
								float sx, float cx,	float dx,
								bool bcn_rdy,	struct beaconMeasure bcn,
								bool hit,
								struct t_gps gps)
{
  static int timer = 0;
  float scale = 0.3;
  static float dir;
  static int fsm = 0;

  printf("******** using this boundary following\n");

  /* close to obstacle: rotate */
  switch (fsm) {
  case 0 :
  if (cx > 3.5 || dx > 3.5 || sx > 3.5 || hit) {
    if (sx > dx) {
      *l = 0.9 * SPEED_LIMIT * scale;
      *r = -0.9 * SPEED_LIMIT * scale;
      dir = gps.dir;
      timer = 0;
      fsm = 1;
    } else {
      fsm = 1;
    }
  } else if (sx > 1.5) { /* go along the obstacle */
    *l = 0.9 * SPEED_LIMIT * scale;
    *r = 0.9 * SPEED_LIMIT * scale;
    dir = gps.dir;
    timer = 0;
  } else /*if (sx <= 1.5)*/ {
//#if 0
    if (timer > 30) {   /* avoids infinite loops */
      *l = 0.9 * SPEED_LIMIT * scale;
      *r = 0.9 * SPEED_LIMIT * scale;
    } else {
//#endif
      *l = -0.4 * SPEED_LIMIT * scale;
      *r = 0.9 * SPEED_LIMIT * scale;
      timer++;
    }
  }
  break;
    case 1 :   /* rotate until parallel to the obstacle */
      *l = 0.9 * SPEED_LIMIT * scale;
      *r = -0.9 * SPEED_LIMIT * scale;
      if ((sx > dx) && (sx > cx) && (sx > 1.5)) fsm = 0;
  }
}

void boundary_following_opp(struct t_status *s, float *l, float *r,
                float d,
								float sx, float cx,	float dx,
								bool bcn_rdy,	struct beaconMeasure bcn,
								bool hit,
								struct t_gps gps)
{
  static int timer = 0;
  float scale = 1.0;
  static float dir;
  static int fsm = 0;

  /* close to obstacle: rotate */
  switch (fsm) {
  case 0 :
  if (cx > 3.5 || dx > 3.5 || sx > 3.5 || hit) {
    if (sx < dx) {
      *l = -0.9 * SPEED_LIMIT * scale;
      *r = 0.9 * SPEED_LIMIT * scale;
      dir = gps.dir;
      timer = 0;
      fsm = 1;
    } else {
      fsm = 1;
    }
  } else if (dx > 1.5) { /* go along the obstacle */
    *l = 0.9 * SPEED_LIMIT * scale;
    *r = 0.9 * SPEED_LIMIT * scale;
    dir = gps.dir;
    timer = 0;
  } else /*if (sx <= 1.5)*/ {
//#if 0
    if (timer > 30) {   /* avoids infinite loops */
      *l = 0.9 * SPEED_LIMIT * scale;
      *r = 0.9 * SPEED_LIMIT * scale;
    } else {
//#endif
      *l = 0.9 * SPEED_LIMIT * scale;
      *r = -0.4 * SPEED_LIMIT * scale;
      timer++;
    }
  }
  break;
    case 1 :   /* rotate until parallel to the obstacle */
      *l = -0.9 * SPEED_LIMIT * scale;
      *r = 0.9 * SPEED_LIMIT * scale;
      if ((dx > sx) && (dx > sx) && (dx > 1.5)) fsm = 0;
  }
}
#endif
